# Generated by Django 2.1.1 on 2018-09-23 21:08

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('virtualcontests', '0027_auto_20180923_1705'),
    ]

    operations = [
        migrations.CreateModel(
            name='VirtualContestProblems',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('question_penalty', models.IntegerField(default=0, null=True)),
                ('question_score', models.IntegerField(default=0, null=True)),
                ('problem', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='virtualcontests.Problems')),
            ],
        ),
        migrations.RemoveField(
            model_name='virtualcontest',
            name='question_five',
        ),
        migrations.RemoveField(
            model_name='virtualcontest',
            name='question_five_penalty',
        ),
        migrations.RemoveField(
            model_name='virtualcontest',
            name='question_five_score',
        ),
        migrations.RemoveField(
            model_name='virtualcontest',
            name='question_four',
        ),
        migrations.RemoveField(
            model_name='virtualcontest',
            name='question_four_penalty',
        ),
        migrations.RemoveField(
            model_name='virtualcontest',
            name='question_four_score',
        ),
        migrations.RemoveField(
            model_name='virtualcontest',
            name='question_one',
        ),
        migrations.RemoveField(
            model_name='virtualcontest',
            name='question_one_penalty',
        ),
        migrations.RemoveField(
            model_name='virtualcontest',
            name='question_one_score',
        ),
        migrations.RemoveField(
            model_name='virtualcontest',
            name='question_three',
        ),
        migrations.RemoveField(
            model_name='virtualcontest',
            name='question_three_penalty',
        ),
        migrations.RemoveField(
            model_name='virtualcontest',
            name='question_three_score',
        ),
        migrations.RemoveField(
            model_name='virtualcontest',
            name='question_two',
        ),
        migrations.RemoveField(
            model_name='virtualcontest',
            name='question_two_penalty',
        ),
        migrations.RemoveField(
            model_name='virtualcontest',
            name='question_two_score',
        ),
        migrations.AddField(
            model_name='virtualcontest',
            name='question_count',
            field=models.IntegerField(default=5),
        ),
        migrations.AddField(
            model_name='virtualcontestproblems',
            name='virtual_contest',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='virtualcontests.VirtualContest'),
        ),
    ]
